// Skybox

textures/xan_skies/ruins_ft
{
    qer_editorimage textures/xan_skies/ruins_ft.jpg
    surfaceparm noimpact
    surfaceparm nolightmap
    q3map_globaltexture
    q3map_lightsubdivide 256
    q3map_skylight 200 2
    surfaceparm sky
    q3map_sunExt 1 1 1 100 350 40 3 16
    skyparms textures/xan_skies/ruins - -
}

// Light

textures/xan_jumps/light1a_2k
{
	qer_editorimage textures/xan_jumps/light1a.tga
	surfaceparm nomarks
	//altered x 2.5 for r_overbrightbits 0 and r_mapoverbrightbits 0
	q3map_surfacelight 5500
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/xan_jumps/light1a.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/xan_jumps/light1a_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/xan_jumps/light2
{
	qer_editorimage textures/xan_jumps/light2.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	surfaceparm nodamage
		{
		map $lightmap
		rgbGen identity
		}
		{
		map textures/xan_jumps/light2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		}
		{
		map textures/xan_jumps/light2_blend.tga
		blendfunc GL_ONE GL_ONE
		}
}

textures/xan_jumps/light2-4500
{
	qer_editorimage textures/xan_jumps/light2.tga
	q3map_surfacelight 3500
	surfaceparm nomarks
	surfaceparm nodamage
		{
		map $lightmap
		rgbGen identity
		}
		{
		map textures/xan_jumps/light2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		}
		{
		map textures/xan_jumps/light2_blend.tga
		blendfunc GL_ONE GL_ONE
		}
}

textures/xan_jumps/corona
{
deformvertexes autosprite
surfaceparm trans
surfaceparm nonsolid
surfaceparm nomarks
surfaceparm nodlight
surfaceparm nolightmap
cull none
{
map textures/xan_jumps/corona.tga
blendfunc add
rgbgen identity
}
}


// Banners

textures/xan_jumps/urtjumpers
{
	qer_editorimage textures/xan_jumps/urtjumpers.jpg
        cull none
        surfaceparm nolightmap
        surfaceparm alphashadow
	  tessSize 64
	    deformVertexes wave 100 sin 0 3 0 .7
          //deformVertexes normal 0.2 2
		sort banner
        {
                map textures/xan_jumps/urtjumpers.jpg
                 blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
         }
}

textures/xan_jumps/wow
{
	qer_editorimage textures/xan_jumps/wow.jpg
        cull none
        surfaceparm nolightmap
        surfaceparm alphashadow
	  tessSize 64
	    deformVertexes wave 100 sin 0 3 0 .7
          //deformVertexes normal 0.2 2
		sort banner
        {
                map textures/xan_jumps/wow.jpg
                 blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
         }
}

textures/xan_jumps/black
{
	qer_editorimage textures/xan_jumps/black.jpg
        cull none
        surfaceparm nolightmap
        surfaceparm alphashadow
	  tessSize 64
	    deformVertexes wave 100 sin 0 3 0 .7
          //deformVertexes normal 0.2 2
		sort banner
        {
                map textures/xan_jumps/black.jpg
                 blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
         }
}

// Wall

textures/xan_jumps/wall3slick:q3map
{
    surfaceparm slick
    surfaceparm nodamage
}

textures/xan_jumps/wall1:q3map
{
    surfaceparm nodamage
}

textures/xan_jumps/wall2:q3map
{
    surfaceparm nodamage
}

textures/xan_jumps/wall3:q3map
{
    surfaceparm nodamage
}

textures/xan_jumps/wall4:q3map
{
    surfaceparm nodamage
}

// Floor

textures/xan_jumps/Floor1:q3map
{
    surfaceparm nodamage
}

textures/xan_jumps/Floor2:q3map
{
    surfaceparm nodamage
}

textures/xan_jumps/Floor3:q3map
{
    surfaceparm nodamage
}

// Glass

textures/xan_jumps/transwall1
{
	qer_editorimage textures/xan_jumps/transwall1.tga
	qer_trans 0.8
	surfaceparm trans
	surfaceparm nolightmap
	cull disable
	{
		map textures/xan_jumps/transwall1.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/xan_jumps/glass3
{
	qer_editorimage textures/xan_jumps/glass3.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/xan_jumps/glass3.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/xan_jumps/glass3slick
{
	qer_editorimage textures/xan_jumps/glass3.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm trans

	{
		map textures/xan_jumps/glass3.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

// Water

textures/xan_jumps/lava1

    {
        qer_editorimage textures/xan_jumps/lava1.tga
        qer_trans .5
        q3map_globaltexture
        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm water
        surfaceparm nolightmap

        cull disable
        deformVertexes wave 64 sin .5 .5 0 .5    

        { 
            map textures/xan_jumps/lava1.tga
            blendFunc GL_dst_color GL_one
            rgbgen identity
            tcmod scale .5 .5
            tcmod transform 1.5 0 1.5 1 1 2
            tcmod scroll -.05 .001
        }

        { 
            map textures/xan_jumps/lava1.tga
            blendFunc GL_dst_color GL_one
            rgbgen identity
            tcmod scale .5 .5
            tcmod transform 0 1.5 1 1.5 2 1
            tcmod scroll .025 -.001
        }

        { 
            map textures/xan_jumps/lava1.tga
            blendFunc GL_dst_color GL_one
            rgbgen identity
            tcmod scale .25 .5
            tcmod scroll .001 .025
        }

        {
            map $lightmap
            blendFunc GL_dst_color GL_zero
            rgbgen identity        
        }

}

// Grid

textures/xan_jumps/metalgrid
{
	q3map_lightimage textures/xan_jumps/metalgrid.tga
	qer_trans .5
	//surfaceparm alphashadow
	surfaceparm trans	
	cull none
	{
		map textures/xan_jumps/metalgrid.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}